// mall 积分商城
import mall from '../../views/mall/index';

import couponList from '../../views/mall/coupon/list';
import couponExchange from '../../views/mall/coupon/exchange';
import couponInfo from '../../views/mall/coupon/info.vue';



import mallTemp from '../../views/mall/temp'
import imgTextTemp from '../../components/libs/imgTextTemp'
import imgTemp from '../../components/libs/imgTemp'
import audioTemp from '../../components/libs/audioTemp'
import videoTemp from '../../components/libs/videoTemp'
import videoAddEdit from '../../components/libs/videoTemp/addEdit'

import mallAddRecord from '../../views/mall/addRecord'
import editor from '../../views/mall/editor'


export default {
    path: 'mall',
    name: '微信营销',
    component: mall,
    redirect: 'mall/coupon',
    meta: {},
    children: [
        {
          path: 'coupon',
          name: '优惠券',
          component: couponList,
          meta: {}
        },
        {
          path: 'coupon/exchange/:id',
          name: '优惠券兑换记录',
          component: couponExchange,
          meta: {}
        },
        {
          path: 'coupon/info',
          name: '新增优惠券',
          component: couponInfo,
          meta: {
            type:'add'
          }
        },
        {
          path: 'coupon/info/:id',
          name: '编辑优惠券',
          component: couponInfo,
          meta: {
            type:'edit'
          }
        },
        {
          path: 'coupon/queryinfo/:id',
          name: '优惠券详情',
          component: couponInfo,
          meta: {
            type:'info'
          }
        },
        {
            path: 'record/add',
            name: '新建群发',
            component: mallAddRecord,
            meta: { type: 'add' }
        },
        {
            path: 'record/edit/:id',
            name: '编辑群发',
            component: mallAddRecord,
            meta: { type: 'edit' }
        },
        {
            path: 'record/add/:id',
            name: '使用图文群发',
            component: mallAddRecord,
            meta: { type: 'imgText' }
        },
        {
            path: 'editor/:id',
            name: '编辑图文',
            component: editor,
            meta: { type: 'edit' }
        },
        {
            path: 'editor',
            name: '新建图文',
            component: editor,
            meta: { type: 'add' }
        },
        {
            path: 'temp',
            name: '素材库',
            component: mallTemp,
            redirect: 'temp/imgtext',
            meta: {},
            children: [{
                    path: 'imgtext',
                    name: '图文',
                    component: imgTextTemp,
                    meta: {}
                },
                {
                    path: 'img',
                    name: '图片',
                    component: imgTemp,
                    meta: {}
                },
                {
                    path: 'audio',
                    name: '语音',
                    component: audioTemp,
                    meta: {}
                },
                {
                    path: 'video',
                    name: '视频',
                    component: videoTemp,
                    meta: {}
                },
                {
                    path: 'video/add',
                    name: '新增视频',
                    component: videoAddEdit,
                    meta: {
                        type: 'add'
                    }
                },
                {
                    path: 'video/edit/:id',
                    name: '编辑视频',
                    component: videoAddEdit,
                    meta: {
                        type: 'edit'
                    }
                },
            ]
        }
    ]
};
